/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from KDesktopIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KDESKTOPIFACE_STUB__
#define __KDESKTOPIFACE_STUB__

#include <dcopstub.h>
#include <dcopref.h>
#include <dcopobject.h>
#include <tqstringlist.h>


class KDesktopIface_stub : virtual public DCOPStub
{
public:
    KDesktopIface_stub( const TQCString& app, const TQCString& id );
    KDesktopIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KDesktopIface_stub( const DCOPRef& ref );
    virtual void runAutoStart();
    virtual void rearrangeIcons();
    virtual void rearrangeIcons( bool  );
    virtual void lineupIcons();
    virtual void selectAll();
    virtual void unselectAll();
    virtual void refreshIcons();
    virtual void setShowDesktop( bool b );
    virtual bool showDesktopState();
    virtual void toggleShowDesktop();
    virtual TQStringList selectedURLs();
    virtual void configure();
    virtual void popupExecuteCommand();
    virtual void popupExecuteCommand( const TQString& command );
    virtual DCOPRef background();
    virtual DCOPRef screenSaver();
    virtual void refresh();
    virtual void logout();
    virtual bool isVRoot();
    virtual void setVRoot( bool enable );
    virtual void clearCommandHistory();
    virtual bool isIconsEnabled();
    virtual void setIconsEnabled( bool enable );
    virtual void switchDesktops( int delta );
    virtual void desktopIconsAreaChanged( const TQRect& area, int screen );
    virtual TQPoint findPlaceForIcon( int column, int row );
    virtual void addIcon( const TQString& url, int x, int y );
    virtual void addIcon( const TQString& url, const TQString& dest, int x, int y );
    virtual void removeIcon( const TQString& dest );
protected:
    KDesktopIface_stub() : DCOPStub( never_use ) {}
};


#endif
